/*
 * simple divider applet
 * (C) 2001 John Ellis
 *
 * Author: John Ellis
 *
 * This software is released under the GNU General Public License (GNU GPL).
 * Please read the included file COPYING for more information.
 * This software comes with no warranty of any kind, use at your own risk!
 *
 */

#include <config.h>

#include <sys/types.h>
#include <dirent.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <unistd.h>
#include <sys/stat.h>
#include <sys/time.h>

#include <glib.h>
#include <gtk/gtk.h>
#include <libgnome/libgnome.h>
#include <libgnomeui/libgnomeui.h>
#include <panel-applet.h>

#include <gdk-pixbuf/gdk-pixbuf.h>

#define DEFAULT_STYLE "ridge_short.png"


typedef struct _AppData AppData;
struct _AppData
{
	PanelApplet *applet;
	GtkWidget *display;

	PanelAppletOrient orient;
	gint size;

	gchar *style_filename;
	gint visibility;		/* 0 - 255, translates to 0 - 100% alpha */

	gint shift;
	gint shift_r;			/* color shift r, g, b, alpha (strength) */
	gint shift_g;
	gint shift_b;
	gint shift_a;

	GdkPixbuf *pixbuf;
	GdkPixbuf *overlay;

	/* the properties window */
	GtkWidget *propwindow;
};

void style_backing_sync(AppData *ad);
void style_set(AppData *ad, const gchar *name);

/* properties.c */
void property_load(AppData *ad);
void property_save(AppData *ad);
void property_show(PanelApplet *applet, gpointer data);

